CMSIS DSP Software Library: Vector Offset

Functions

# Vector Offset
[Basic Math Functions]

## Functions
void | arm_offset_f32 (float32_t *pSrc, float32_t offset, float32_t *pDst, uint32_t blockSize)
void | arm_offset_q31 (q31_t *pSrc, q31_t offset, q31_t *pDst, uint32_t blockSize)
void | arm_offset_q15 (q15_t *pSrc, q15_t offset, q15_t *pDst, uint32_t blockSize)
void | arm_offset_q7 (q7_t *pSrc, q7_t offset, q7_t *pDst, uint32_t blockSize)

## Detailed Description

Adds a constant offset to each element of a vector.

         pDst[n] = pSrc[n] + offset,   0 <= n < blockSize.

There are separate functions for floating-point, Q7, Q15, and Q31 data types.

## Function Documentation

void arm_offset_f32 | ( | float32_t * | pSrc,
|  | float32_t | offset,
|  | float32_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Adds a constant offset to a floating-point vector.

Parameters:

  [in] | *pSrc | points to the input vector
  [in] | offset | is the offset to be added
  [out] | *pDst | points to the output vector
  [in] | blockSize | number of samples in the vector

Returns:
  none.

Definition at line 66 of file arm_offset_f32.c.

void arm_offset_q31 | ( | q31_t * | pSrc,
|  | q31_t | offset,
|  | q31_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Adds a constant offset to a Q31 vector.

Parameters:

  [in] | *pSrc | points to the input vector
  [in] | offset | is the offset to be added
  [out] | *pDst | points to the output vector
  [in] | blockSize | number of samples in the vector

Returns:
  none.

Scaling and Overflow Behavior:

  The function uses saturating arithmetic. Results outside of the allowable Q31 range [0x80000000 0x7FFFFFFF] are saturated.

Definition at line 58 of file arm_offset_q31.c.

void arm_offset_q15 | ( | q15_t * | pSrc,
|  | q15_t | offset,
|  | q15_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Adds a constant offset to a Q15 vector.

Parameters:

  [in] | *pSrc | points to the input vector
  [in] | offset | is the offset to be added
  [out] | *pDst | points to the output vector
  [in] | blockSize | number of samples in the vector

Returns:
  none.

Scaling and Overflow Behavior:

  The function uses saturating arithmetic. Results outside of the allowable Q15 range [0x8000 0x7FFF] are saturated.

Definition at line 58 of file arm_offset_q15.c.

void arm_offset_q7 | ( | q7_t * | pSrc,
|  | q7_t | offset,
|  | q7_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Adds a constant offset to a Q7 vector.

Parameters:

  [in] | *pSrc | points to the input vector
  [in] | offset | is the offset to be added
  [out] | *pDst | points to the output vector
  [in] | blockSize | number of samples in the vector

Returns:
  none.

Scaling and Overflow Behavior:

  The function uses saturating arithmetic. Results outside of the allowable Q7 range [0x80 0x7F] are saturated.

Definition at line 58 of file arm_offset_q7.c.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines